Page MenuHomePhabricator

nodemap: automatically "vacuum" the persistent nodemap when too sparse
ClosedPublic

Authored by marmoute on Feb 28 2020, 1:55 PM.

Details

Summary

We arbitrarily pick "10%" as the threshold.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Feb 28 2020, 1:55 PM
marmoute updated this revision to Diff 20585.Mar 6 2020, 6:38 PM

eventless rebase past D8255

marmoute updated this revision to Diff 20688.Mar 10 2020, 9:36 PM

rebase above latest default up to landed-D8182

marmoute updated this revision to Diff 20744.Mar 11 2020, 2:20 PM
marmoute updated this revision to Diff 20897.Mar 26 2020, 9:13 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.